package PlayBot::commands::stats;

use strict;
use warnings;
use utf8;

use PlayBot::utils::print;
use PlayBot::utils::db;
use PlayBot::utils::db::stats;

our $irc;

my @insultes = (
    "Ahahahah ! 23 à 0 !",
    "C'est la piquette, Jack !",
    "Tu sais pas jouer, Jack !",
    "T'es mauvais, Jack !"
);

sub exec {
    my ( $chan, $id ) = @_;

    my $stats = PlayBot::utils::db::stats->new($id);
    if ($stats) {
        foreach ( PlayBot::utils::print::stats($stats) ) {
            $irc->yield( privmsg => $chan => $_ ) if ($_);
        }
    }
    else {
        $irc->yield( privmsg => $chan => $insultes[ rand @insultes ] );
    }
}

1;
